Oracle Linux 6162 Published by

Updated kernel packages are available for Oracle Linux:

ELSA-2024-12187 Important: Oracle Linux 8 kernel security update



ELSA-2024-12187 Important: Oracle Linux 8 kernel security update


Oracle Linux Security Advisory ELSA-2024-12187

http://linux.oracle.com/errata/ELSA-2024-12187.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
bpftool-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-core-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-cross-headers-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-debug-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-debug-core-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-debug-devel-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-debug-modules-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-debug-modules-extra-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-devel-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-doc-4.18.0-513.18.0.2.el8_9.noarch.rpm
kernel-headers-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-modules-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-modules-extra-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-tools-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-tools-libs-4.18.0-513.18.0.2.el8_9.x86_64.rpm
perf-4.18.0-513.18.0.2.el8_9.x86_64.rpm
python3-perf-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-tools-libs-devel-4.18.0-513.18.0.2.el8_9.x86_64.rpm
kernel-abi-stablelists-4.18.0-513.18.0.2.el8_9.noarch.rpm

aarch64:
bpftool-4.18.0-513.18.0.2.el8_9.aarch64.rpm
kernel-cross-headers-4.18.0-513.18.0.2.el8_9.aarch64.rpm
kernel-headers-4.18.0-513.18.0.2.el8_9.aarch64.rpm
kernel-tools-4.18.0-513.18.0.2.el8_9.aarch64.rpm
kernel-tools-libs-4.18.0-513.18.0.2.el8_9.aarch64.rpm
perf-4.18.0-513.18.0.2.el8_9.aarch64.rpm
python3-perf-4.18.0-513.18.0.2.el8_9.aarch64.rpm
kernel-tools-libs-devel-4.18.0-513.18.0.2.el8_9.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//kernel-4.18.0-513.18.0.2.el8_9.src.rpm

Related CVEs:

CVE-2023-2176
CVE-2023-4623
CVE-2023-46813

Description of changes:

[4.18.0-513.18.0.2.el8_9]
- net/sched: sch_hfsc: Ensure inner classes have fsc curve {CVE-2023-4623}
- net/sched: sch_hfsc: upgrade 'rt' to 'sc' when it becomes a inner curve {CVE-2023-4623}
- x86/sev: Check for user-space IOIO pointing to kernel space {CVE-2023-46813}
- x86/sev: Check IOBM for IOIO exceptions from user-space {CVE-2023-46813}
- x86/sev: Disable MMIO emulation from user mode {CVE-2023-46813}
- RDMA/core: Fix resolve_prepare_src error cleanup {CVE-2023-2176}